Opened 11 years ago

Closed 11 years ago

#21688 closed defect (fixed)

qt4-mac-devel fails to build on up-to-date MacPorts 1.8.0 on Mac OS X 10.6.1

Reported by: horasio (Samuel Hornus) Owned by: illogic-al@…
Priority: Normal Milestone:
Component: ports Version: 1.8.0
Keywords: qt4 devel Cc: michael.himmelsbach@…, fsteeg@…
Port: qt4-mac-devel

Description

See attached output file. Basically :

../../include/QtGui/../../src/gui/painting/qregion.h: In member function 'OpaqueRgnHandle* QRegion::handle(bool) const':
../../include/QtGui/../../src/gui/painting/qregion.h:158: error: 'toQDRgn' was not declared in this scope

Attachments (1)

qt4-mac-devel-buildfail.txt (5.4 KB) - added by horasio (Samuel Hornus) 11 years ago.
build log

Download all attachments as: .zip

Change History (6)

Changed 11 years ago by horasio (Samuel Hornus)

Attachment: qt4-mac-devel-buildfail.txt added

build log

comment:1 Changed 11 years ago by mf2k (Frank Schima)

Owner: changed from macports-tickets@… to illogic-al@…

comment:2 Changed 11 years ago by michael.himmelsbach@…

Cc: michael.himmelsbach@… added

Cc Me!

comment:3 Changed 11 years ago by fsteeg@…

Cc: fsteeg@… added

Cc Me!

comment:4 Changed 11 years ago by ryandesign (Ryan Schmidt)

Please use qt4-mac instead; qt4-mac-devel is an outdated version at this point. But note that there are also two open tickets on problems building qt4-mac on Snow Leopard.

comment:5 Changed 11 years ago by sharky@…

Resolution: fixed
Status: newclosed

qt4-mac-devel has been resync'ed with qt4-mac (4.6.0) which builds OK on Snow Leopard, so I am closing this ticket. Should you run into the same problem again, feel free to reopen this ticket.

Note: See TracTickets for help on using tickets.